aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-kpacman/opie-kpacman.inc
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-kpacman/opie-kpacman.inc
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-kpacman/opie-kpacman.inc')
-rw-r--r--recipes-opie/opie-kpacman/opie-kpacman.inc33
1 files changed, 33 insertions, 0 deletions
diff --git a/recipes-opie/opie-kpacman/opie-kpacman.inc b/recipes-opie/opie-kpacman/opie-kpacman.inc
new file mode 100644
index 0000000..7ee37ff
--- /dev/null
+++ b/recipes-opie/opie-kpacman/opie-kpacman.inc
@@ -0,0 +1,33 @@
+DESCRIPTION = "Kpacman, the classical arcade game of Pacman"
+SECTION = "opie/games"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "kpacman"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+
+if [ ! -f $HOME/Settings/kpacman.conf ]
+ exit 0
+then
+ cp /opt/QtPalmtop/share/kpacman/kpacman.conf $HOME/Settings/
+fi
+}
+
+# FILES bin/kpacman apps/Games/kpacman.desktop pics/kpacman/kpacman.png share/kpacman
+do_install() {
+ install -d ${D}${palmtopdir}/pics/${APPNAME}/
+ install -m 0644 ${WORKDIR}/pics/${APPNAME}/*.png ${D}${palmtopdir}/pics/${APPNAME}/
+ install -d ${D}${palmtopdir}/share/${APPNAME}/fonts
+ install -d ${D}${palmtopdir}/share/${APPNAME}/pics
+ install -m 0644 ${WORKDIR}/share/${APPNAME}/*.conf ${D}${palmtopdir}/share/${APPNAME}/
+ install -m 0644 ${WORKDIR}/share/${APPNAME}/fonts/*.xbm ${D}${palmtopdir}/share/${APPNAME}/fonts/
+ install -m 0644 ${WORKDIR}/share/${APPNAME}/pics/*.xpm ${D}${palmtopdir}/share/${APPNAME}/pics/
+}
+